Results 1 to 2 of 2

Thread: KDE, YaST2, and most other QT5 applications broken after Zypper update

  1. #1

    Default KDE, YaST2, and most other QT5 applications broken after Zypper update

    Hello all,

    I've run out of ideas for this issue, and apparently I'm the only person in the world who's dealing with it, but maybe somebody else can shed some light on a fix. I'm running Tumbleweed on a 64-bit machine and have been using KDE Plasma 5 for some time now with no problems. YaST2 also has worked fine. Today I ran 'zypper up' and everything fell apart. First the machine rebooted randomly in the middle of an update--not a graceful shutdown, mind you, but more like a power cycle. The screen turned black without warning while installing packages (I don't remember where it stopped), and the computer booted again. I ran 'zypper up' again because at that point nothing worked except the console. Reboot again, and it appeared to be back. Not so; when I entered my password in KDM (yes, that still works) I got the KDE loading screen and was almost immediately kicked back to KDM. Tried XFCE, fine. E17, fine. Blackbox, fine. KDE, no way. Here's what the console spits out when I try to run 'startkde' from an LXTerminal in Blackbox:

    Code:
    /usr/bin/startkde: line 152: test: 1.5: integer expression expected
    Loading stage  "initial" 80
    startkde: Starting up...
    kdeinit5: preparing to launch 'libkdeinit5_klauncher'
    kdeinit5: Launched KLauncher, pid = 12663, result = 0
    Qt: Session management error: networkIdsList argument is NULL
    Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
    kdeinit5: opened connection to :0
    kdeinit5: preparing to launch 'libkdeinit5_kded5'
    kdeinit5: Launched KDED, pid = 12665 result = 0
    kdeinit5: preparing to launch 'libkdeinit5_kcminit_startup'
    kdeinit5: Launched 'kcminit_startup', pid = 12666 result = 0
    Qt: Session management error: networkIdsList argument is NULL
    Cannot mix incompatible Qt library (version 0x50500) with this library (version 0x50501)
    KCrash: Application 'kdeinit5' crashing...
    KCrash: Attempting to start /usr/lib64/libexec/drkonqi from kdeinit
    sock_file=/run/user/1000/kdeinit5__0
    kdeinit5: Got EXEC_NEW '/usr/lib64/libexec/drkonqi' from wrapper.
    kdeinit5: preparing to launch '/usr/lib64/libexec/drkonqi'
    kdeinit5: Got SETENV 'KDE_MULTIHEAD=false' from launcher.
    Initializing  "kcm_access" :  "kcminit_access"
    kdeinit5: Got EXEC_NEW '/usr/bin/kaccess' from launcher.
    kdeinit5: preparing to launch '/usr/bin/kaccess'
    Initializing  "kcm_style" :  "kcminit_style"
    QCoreApplication::arguments: Please instantiate the QApplication object first
    QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
    kdeinit5: PID 12671 terminated.
    kdeinit5: Got SETENV 'GTK_RC_FILES=/etc/gtk/gtkrc:/home/lima/.gtkrc:/home/lima/.config/gtkrc' from launcher.
    kdeinit5: Got SETENV 'GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/lima/.gtkrc-2.0:/home/lima/.config/gtkrc-2.0' from launcher.
    Cannot mix incompatible Qt library (version 0x50500) with this library (version 0x50501)
    Cannot mix incompatible Qt library (version 0x50500) with this library (version 0x50501)
    KCrash: Application 'kaccess' crashing...
    KCrash: Attempting to start /usr/lib64/libexec/drkonqi from kdeinit
    sock_file=/run/user/1000/kdeinit5__0
    kdeinit5: Got EXEC_NEW '/usr/lib64/libexec/drkonqi' from wrapper.
    kdeinit5: preparing to launch '/usr/lib64/libexec/drkonqi'
    QFile::copy: Empty or null file name
    Initializing  "kded_touchpad" :  "kcminit_touchpad"
    kdeinit5: PID 12670 terminated.
    Width:  2934  height:  1861
    Approx. resX:  32  resY:  37
    Touchpad resolution: x:  32  y:  32
    Final resolution x: 32  y: 32
    Initializing  "kcm_kgamma" :  "kcminit_kgamma"
    Initializing  "kcm_input" :  "kcminit_mouse"
    kdeinit5: PID 12666 terminated.
    kdeinit5: Got SETENV 'XCURSOR_THEME=Breeze_Snow' from launcher.
    kdeinit5: Got SETENV 'XCURSOR_SIZE=48' from launcher.
    kdeinit5: Got KWRAPPER 'ksmserver' from wrapper.
    kdeinit5: preparing to launch 'libkdeinit5_ksmserver'
    Cannot mix incompatible Qt library (version 0x50500) with this library (version 0x50501)
    Qt: Session management error: networkIdsList argument is NULL
    kdeinit5: PID 12679 terminated.
    Cannot mix incompatible Qt library (version 0x50500) with this library (version 0x50501)
    KCrash: Application 'kdeinit5' crashing...
    KCrash: Attempting to start /usr/lib64/libexec/drkonqi from kdeinit
    sock_file=/run/user/1000/kdeinit5__0
    kdeinit5: Got EXEC_NEW '/usr/lib64/libexec/drkonqi' from wrapper.
    kdeinit5: preparing to launch '/usr/lib64/libexec/drkonqi'
    Cannot mix incompatible Qt library (version 0x50500) with this library (version 0x50501)
    kdeinit5: PID 12685 terminated.
    kdeinit5: PID 12665 terminated.
    kdeinit5: PID 12681 terminated.
    startkde: Shutting down...
    kdeinit5: terminate KDE.
    klauncher: Exiting on signal 1
    startkde: Running shutdown scripts...
    startkde: Done.
    I believe the critical line is this:
    Code:
    Cannot mix incompatible Qt library (version 0x50500) with this library (version 0x50501)
    But I don't know what to do with that. Everything now appears to be up to date; 'zypper dup' and 'zypper up' both report that there's nothing left to do. It looks like most of KDE as well as YaST2 is using an older version of the Qt 5 library than what I have installed, and I can't roll back to the older library. Is anyone​ else seeing this same problem right now?

  2. #2

    Default Re: KDE, YaST2, and most other QT5 applications broken after Zypper update

    Quote Originally Posted by ronwmabil View Post
    I believe the critical line is this:
    Code:
    Cannot mix incompatible Qt library (version 0x50500) with this library (version 0x50501)
    Yes.
    You have a mixture of Qt5.5.0 and Qt5.5.1 packages installed.

    Running "zypper dup" should fully upgrade your system and fix that. If you get conflicts (that likely caused your problem in the first place), please post the exact messages for advice.

    If it doesn't help (or you get conflicts), please also post your repo list:
    Code:
    zypper lr -d

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •